cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/information" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_information("PURCHASE_ORDER_ID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderInformation('PURCHASE_ORDER_ID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderInformation('PURCHASE_ORDER_ID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderInformation;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderInformation> response = client.purchaseOrders().getPurchaseOrderInformation(
"PURCHASE_ORDER_ID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderInformationAsync("PURCHASE_ORDER_ID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderInformation(
'PURCHASE_ORDER_ID',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderInformation(context.Background(), "PURCHASE_ORDER_ID", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order": {
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123
}
}Purchase orders
Retrieve a purchase order's information
Returns the header information of one purchase order under purchase_order.
GET
/
purchase_orders
/
{purchase_order_id}
/
information
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/information" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_information("PURCHASE_ORDER_ID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderInformation('PURCHASE_ORDER_ID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderInformation('PURCHASE_ORDER_ID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderInformation;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderInformation> response = client.purchaseOrders().getPurchaseOrderInformation(
"PURCHASE_ORDER_ID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderInformationAsync("PURCHASE_ORDER_ID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderInformation(
'PURCHASE_ORDER_ID',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderInformation(context.Background(), "PURCHASE_ORDER_ID", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order": {
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123
}
}Returns the purchase order’s header fields, such as its dates, totals, status and custom attributes, under
purchase_order, without the supplier, currency and KPI blocks.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase order's id.
Response
200 - application/json
The purchase order's information, under purchase_order.
Show child attributes
Show child attributes